Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.quality
Interface DataQuality

    @Profile(level=CORE)
    @UML(identifier="DQ_DataQuality",
         specification=ISO_19115)
    public interface DataQuality

Quality information for the data specified by a data quality scope.

Since:
  GeoAPI 2.0

Method Summary
`Lineage` | `getLineage()` Non-quantitative quality information about the lineage of the data specified by the scope.
`Collection<? extends Element>` | `getReports()` Quantitative quality information for the data specified by the scope.
`Scope` | `getScope()` The specific data to which the data quality information applies.

Method Detail

### getScope

    @UML(identifier="scope",
         obligation=MANDATORY,
         specification=ISO_19115)
    Scope getScope()

  The specific data to which the data quality information applies.

### getReports

    @UML(identifier="report",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Collection<? extends Element> getReports()

  Quantitative quality information for the data specified by the scope. Should be provided only if scope level is dataset.

### getLineage

    @Profile(level=CORE)
    @UML(identifier="lineage",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Lineage getLineage()

  Non-quantitative quality information about the lineage of the data specified by the scope. Should be provided only if scope level is dataset.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.